package com.bonus.boot.manager.physical.dao;

import com.bonus.boot.manager.basic.entity.MapBean;
import com.bonus.boot.manager.basic.entity.PersonnelLibraryBean;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/** 离退休体检预约
 * @author xliu
 * @Data 2023/5/31 9:30
 */
@Mapper
public interface RetirementDao {

    List<PersonnelLibraryBean> getList(PersonnelLibraryBean o);

    List<PersonnelLibraryBean> getPersonData(PersonnelLibraryBean o);

    int addReservationData(PersonnelLibraryBean o);

    int addHistoryData(String tcId,String tjId);

    int cancelReservation(String ifCancel,String id);

    MapBean getRetirementNum(MapBean o);

}
